DL_BasePrecomputation_LUC Class Reference

LUC Precomputation. More...

`#include <luc.h>`

Inheritance diagram for DL_BasePrecomputation_LUC:

## Public Member Functions

bool | IsInitialized () const
| Determines whether this object is initialized.
void | SetBase (const DL_GroupPrecomputation< Element > &group, const Integer &base)
const Integer & | GetBase (const DL_GroupPrecomputation< Element > &group) const
void | Precompute (const DL_GroupPrecomputation< Element > &group, unsigned int maxExpBits, unsigned int storage)
void | Load (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation)
void | Save (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation) const
Integer | Exponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent) const
Integer | CascadeExponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent, const DL_FixedBasePrecomputation< Integer > &pc2, const Integer &exponent2) const
Public Member Functions inherited from DL_FixedBasePrecomputation< Integer >
virtual void | SetBase (const DL_GroupPrecomputation< Element > &group, const Element &base)=0
| Set the base element.
virtual const Element & | GetBase (const DL_GroupPrecomputation< Element > &group) const=0
| Get the base element.
virtual void | Precompute (const DL_GroupPrecomputation< Element > &group, unsigned int maxExpBits, unsigned int storage)=0
| Perform precomputation.
virtual void | Load (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation)=0
| Retrieve previously saved precomputation.
virtual void | Save (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation) const=0
| Save precomputation for later use.
virtual Element | Exponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent) const=0
| Exponentiates an element.
virtual Element | CascadeExponentiate (const DL_GroupPrecomputation< Element > &pc1, const Integer &exponent1, const DL_FixedBasePrecomputation< Element > &pc2, const Integer &exponent2) const=0
| Exponentiates an element.

## Additional Inherited Members

Public Types inherited from DL_FixedBasePrecomputation< Integer >
typedef Integer | Element

## Detailed Description

LUC Precomputation.

Since
  Crypto++ 2.1

Definition at line 192 of file luc.h.

## Constructor & Destructor Documentation

## ~DL_BasePrecomputation_LUC()

virtual DL_BasePrecomputation_LUC::~DL_BasePrecomputation_LUC | ( |  | ) |

inline virtual

Definition at line 195 of file luc.h.

## Member Function Documentation

## IsInitialized()

bool DL_BasePrecomputation_LUC::IsInitialized | ( |  | ) | const

inline virtual

Determines whether this object is initialized.

Returns
  true if this object is initialized, false otherwise

Implements DL_FixedBasePrecomputation< Integer >.

Definition at line 198 of file luc.h.

## SetBase()

void DL_BasePrecomputation_LUC::SetBase | ( | const DL_GroupPrecomputation< Element > & | group,
|  | const Integer & | base )

inline

Definition at line 199 of file luc.h.

## GetBase()

const Integer & DL_BasePrecomputation_LUC::GetBase | ( | const DL_GroupPrecomputation< Element > & | group | ) | const

inline

Definition at line 201 of file luc.h.

## Precompute()

void DL_BasePrecomputation_LUC::Precompute | ( | const DL_GroupPrecomputation< Element > & | group,
|  | unsigned int | maxExpBits,
|  | unsigned int | storage )

inline

Definition at line 203 of file luc.h.

## Load()

void DL_BasePrecomputation_LUC::Load | ( | const DL_GroupPrecomputation< Element > & | group,
|  | BufferedTransformation & | storedPrecomputation )

inline

Definition at line 205 of file luc.h.

## Save()

void DL_BasePrecomputation_LUC::Save | ( | const DL_GroupPrecomputation< Element > & | group,
|  | BufferedTransformation & | storedPrecomputation ) const

inline

Definition at line 207 of file luc.h.

## Exponentiate()

Integer DL_BasePrecomputation_LUC::Exponentiate | ( | const DL_GroupPrecomputation< Element > & | group,
|  | const Integer & | exponent ) const

Definition at line 40 of file luc.cpp.

## CascadeExponentiate()

Integer DL_BasePrecomputation_LUC::CascadeExponentiate | ( | const DL_GroupPrecomputation< Element > & | group,
|  | const Integer & | exponent,
|  | const DL_FixedBasePrecomputation< Integer > & | pc2,
|  | const Integer & | exponent2 ) const

inline

Definition at line 210 of file luc.h.

The documentation for this class was generated from the following files:

- luc.h
- luc.cpp